Debian Bug report logs - #646416
gogglesmm: FTBFS: cc1plus: error: bad value (native) for -march switch

version graph

Package: src:gogglesmm; Maintainer for src:gogglesmm is Hendrik Rittich <hendrik.rittich@gmx.de>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Mon, 24 Oct 2011 01:42:02 UTC

Severity: serious

Tags: patch

Found in version gogglesmm/0.12.4-3

Fixed in version gogglesmm/0.12.4-4

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hendrik Rittich <hendrik.rittich@gmx.de>:
Bug#646416; Package src:gogglesmm. (Mon, 24 Oct 2011 01:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Hendrik Rittich <hendrik.rittich@gmx.de>. (Mon, 24 Oct 2011 01:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gogglesmm: FTBFS: cc1plus: error: bad value (native) for -march switch
Date: Mon, 24 Oct 2011 10:37:49 +0900
[Message part 1 (text/plain, inline)]
Source: gogglesmm
Version: 0.12.4-3
Severity: serious
Justification: fails to build from source
Tags: patch

Hi,

gogglesmm FTBFS on some architecture.

  https://buildd.debian.org/status/package.php?p=gogglesmm
  http://buildd.debian-ports.org/status/package.php?p=gogglesmm

-----
Done.
Please run "make" and "make install" to compile and install GMM.
dh_testdir
# Add here commands to compile the package.
/usr/bin/make
make[1]: Entering directory
`/build/buildd-gogglesmm_0.12.4-3-armel-5MMrIt/gogglesmm-0.12.4'
    Creating Icon Resource Header
    Creating Icon Resources
    Compiling src/fxext.cpp ...
cc1plus: error: bad value (native) for -march switch
make[1]: *** [src/fxext.o] Error 1
-----

Because this -march is not supported by some architecture.
I created a patch which reivise this problem. Please check this.

Best regards,
 Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[gogglesmm-0.12.4.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hendrik Rittich <hendrik.rittich@gmx.de>:
Bug#646416; Package src:gogglesmm. (Mon, 24 Oct 2011 14:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sander Jansen <s.jansen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Hendrik Rittich <hendrik.rittich@gmx.de>. (Mon, 24 Oct 2011 14:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 646416@bugs.debian.org (full text, mbox):

From: Sander Jansen <s.jansen@gmail.com>
To: 646416@bugs.debian.org
Subject: Don't patch configure
Date: Mon, 24 Oct 2011 09:34:31 -0500
Don't patch configure. You can easily override compiler flags as
mentioned in configure.

Sander




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#646416; Package src:gogglesmm. (Thu, 27 Oct 2011 18:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hendrik Rittich <hendrik.rittich@gmx.de>:
Extra info received and forwarded to list. (Thu, 27 Oct 2011 18:51:06 GMT) Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Hendrik Rittich <hendrik.rittich@gmx.de>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 646416@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#646416: gogglesmm: FTBFS: cc1plus: error: bad value (native) for -march switch
Date: Thu, 27 Oct 2011 20:47:32 +0200
[Message part 1 (text/plain, inline)]
This bug is fixed in gogglesmm 0.12.4-4 by adding further parameters to
the invocation of the configure script.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#646416; Package src:gogglesmm. (Thu, 27 Oct 2011 18:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hendrik Rittich <hendrik.rittich@gmx.de>:
Extra info received and forwarded to list. (Thu, 27 Oct 2011 18:51:10 GMT) Full text and rfc822 format available.

Marked as fixed in versions gogglesmm/0.12.4-4. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 12 May 2012 15:09:20 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 12 May 2012 15:09:20 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Sat, 12 May 2012 15:09:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2012 07:36:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:44:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.